bugGNU Octave - Bugs: bug #33712, Octave 3.4.2 does not build...

 
 

bug #33712: Octave 3.4.2 does not build against qhull 2011.1

Submitted by:  None
Submitted on:  Mon 04 Jul 2011 04:36:27 PM UTC  
 
Category:  Configuration and Build System Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Build Failure
Status:  Fixed Assigned to:  None
Originator Name:  Originator Email:  -email is unavailable-
Open/Closed:  Closed Release:  3.4.2
Operating System:  GNU/Linux

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Tue 13 Dec 2011 10:04:35 PM UTC, comment #1: 

I checked in the following change so that Octave can find the qhull include files by the new or old names and as .../qhull/*.h or just .../*.h.

http://hg.savannah.gnu.org/hgweb/octave/rev/f913363318e0

To make Octave work correctly, you may still need to compile Octave with -Dqh_QHpointer=1, depending on how your version of qhull was compiled.  This has to be done manually by adding the option to CXXFLAGS when compiling Octave as we don't have a configure test for that yet.

Other bugs in Octave's voronoi and convhulln functions were fixed recently.

All of these changes will be part of the upcoming 3.6.0 release.

John W. Eaton <jwe>
Project Administrator
Mon 04 Jul 2011 04:36:27 PM UTC, original submission:  

Hello!  I recently tried to build Octave 3.4.2 using the latest version of the qhull library, version 2011.1, and ran into problems during the build.

First, the configure script was unable to find qhull installed anywhere on my system.  It appears that with the new version, qhull has changed the location in which it stores its headers from, e.g.

/usr/local/include/qhull

to

/usr/local/include/libqhull

It also appears that the qhull library file's name has been changed from libqhull.so to libqhull6.so.

To try and get Octave to compile, I modified the files

acinclude.m4
configure.ac
src/DLD-FUNCTIONS/__voronoi__.cc
src/DLD-FUNCTIONS/convhulln.cc
src/DLD-FUNCTIONS/__delaunayn__.cc

to look for qhull in the new include/libqhull directory (see the attached patch file) and also symlinked libqhull6.so to libqhull.so inside my library directory.  (Sorry if the changes to configure.ac and acinclude.m4 don't make sense... I'm not that familiar with GNU Autotools.)  I then ran

$ ldconfig

and

$ autoconf configure.ac > configure

to apply the changes to the configure script.  I got a warning that my version of autoconf was a bit older than the one originally used to create the build system, but I tried the build anyway just to see what happened:

$ ./configure --with-blas=atlas --with-lapack=lapack
$ make

The build finished successfully.  I then ran

$ make check

The check proceeded smoothly until it tried testing convhulln, which failed with "qhull internal error 6178":

qhull internal error (qh_setsize): current set size 1072693247 is greater than maximum size 0

Based on its self-description, this last error looks like a problem with qhull to me and not with Octave, but I'm not completely sure.  Any thoughts?

Thanks!

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #23620:  octave-qhull-2011.1.patch added by None (2KiB - application/octet-stream)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by jwe (Posted a comment)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2011-12-13 jwe StatusNone => Fixed
        Open/ClosedOpen => Closed
    2011-07-04 None Attached File- => Added octave-qhull-2011.1.patch, #23620

    Back to the top


    Powered by Savane 3.5